package com.huatek.frame.base.service;


import com.huatek.frame.base.dto.DictionnaireDTO;
import com.huatek.frame.base.entity.Dictionnaire;

import java.util.Map;

/**
 * 系统_字典 Service
 *
 * @author key_dong
 * @date 2018-7-11 14:03:46
 */
public interface DictionnaireService {

    /**
     * 分页查找查找 系统_字典
     * 
     * @param dto 系统_字典dto
     * @return map map
     */
    Map<String, Object> findDictionnairePage(DictionnaireDTO dto);


    /**
     * 添加 系统_字典
     *
     * @param dic 系统_字典dic
     * @return map map
     */
    Map<String, Object> addDictionnaire(Dictionnaire dic);

    /**
     *  通过id查找 系统_字典
     *
     * @param id 主键
     * @return map map
     */
    Map<String, Object> findDictionnaire(String id);

    /**
     * 修改 系统_字典
     *
     * @param dic 系统_字典dic
     * @return map map
     */
    Map<String, Object> updateDictionnaire(Dictionnaire dic);

    /**
      * 删除 系统_字典
      *
      * @param ids 主键集合
      * @return map map
      */
    Map<String, Object> deleteDictionnaire(String[] ids);

    int insert(Dictionnaire dictionnaire);

    Dictionnaire initDictionnaire(String key, String title);
}
